#upisivanje sadrzaja u  datoteke - prvi argument je struktuirani sadrzaj, drugi je oznaka datoteke: uf1, uf2, if1,...

#naziv fajla u koji se pise
NEWFILE=$(echo "$1" | grep "$2\[[^]]*" -o | sed "s/$2\[//g"); 
#pisanje sadrzaja u taj fajl ako postoji, inace se ne radi nista

if [ -n "$NEWFILE" ]; then
	echo "$1" | grep  "$2\[.*\]{\(.\{1,\}\)$2}" -o | sed "s/$2\[.*\]{//g" | sed "s/$2}//g" > $NEWFILE; 
fi

#povratna vrednost je naziv fajla u koji je upisano
echo "$NEWFILE";
